libetonyek::IWORKZlibStream Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKZlibStream Class Reference

`#include <IWORKZlibStream.h>`

Inheritance diagram for libetonyek::IWORKZlibStream:

## Public Member Functions
| IWORKZlibStream (const RVNGInputStreamPtr_t &stream)
| ~IWORKZlibStream ()
bool | isStructured ()
unsigned | subStreamCount ()
const char * | subStreamName (unsigned id)
bool | existsSubStream (const char *)
librevenge::RVNGInputStream * | getSubStreamByName (const char *name)
librevenge::RVNGInputStream * | getSubStreamById (unsigned id)
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
long | tell ()
bool | isEnd ()

## Private Attributes
RVNGInputStreamPtr_t | m_stream

## Constructor & Destructor Documentation

libetonyek::IWORKZlibStream::IWORKZlibStream | ( | const RVNGInputStreamPtr_t & | stream | ) |

libetonyek::IWORKZlibStream::~IWORKZlibStream | ( |  | ) |

## Member Function Documentation

bool libetonyek::IWORKZlibStream::existsSubStream | ( | const char * |  | ) |
| inline

librevenge::RVNGInputStream * libetonyek::IWORKZlibStream::getSubStreamById | ( | unsigned | id | ) |

Referenced by existsSubStream().

librevenge::RVNGInputStream * libetonyek::IWORKZlibStream::getSubStreamByName | ( | const char * | name | ) |

Referenced by existsSubStream().

bool libetonyek::IWORKZlibStream::isEnd | ( |  | ) |

Referenced by existsSubStream().

bool libetonyek::IWORKZlibStream::isStructured | ( |  | ) |

const unsigned char * libetonyek::IWORKZlibStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

Referenced by existsSubStream().

int libetonyek::IWORKZlibStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |

Referenced by existsSubStream().

unsigned libetonyek::IWORKZlibStream::subStreamCount | ( |  | ) |

const char * libetonyek::IWORKZlibStream::subStreamName | ( | unsigned | id | ) |

long libetonyek::IWORKZlibStream::tell | ( |  | ) |

Referenced by existsSubStream().

## Member Data Documentation

RVNGInputStreamPtr_t libetonyek::IWORKZlibStream::m_stream
| private

Referenced by isEnd(), IWORKZlibStream(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- IWORKZlibStream.h
- IWORKZlibStream.cpp